# Header-only package

Name:           dragonbox
Version:        1.1.3
Release:        %mkrel 4
Summary:        Reference implementation of Dragonbox in C++
Group:          Development/C

License:        Apache-2.0 WITH LLVM-exception OR BSL-1.0
URL:            https://github.com/jk-jeon/dragonbox
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
# Make sure we only build on 64bit host
ExclusiveArch:  x86_64 aarch64

BuildRequires: gcc-c++
BuildRequires: cmake

%description
Dragonbox is a float-to-string conversion algorithm based on a beautiful
algorithm Schubfach, developed by Raffaello Giulietti in 2017-2018.
Dragonbox is further inspired by Grisu and Grisu-Exact.


%package devel
Summary:        Development files for %{name}
Provides:       %{name}-static = %{version}-%{release}

%description devel
Development files for %{name}.


%prep
%autosetup


%build
%cmake -DDRAGONBOX_INSTALL_TO_CHARS=OFF \
       -DCMAKE_INSTALL_LIBDIR=%{_datadir}
%cmake_build


%check
# No tests provided


%install
%cmake_install


%files devel
%license LICENSE-Apache2-LLVM LICENSE-Boost
%doc README.md
%{_includedir}/%{name}-%{version}/
%{_datadir}/cmake/%{name}-%{version}/



%changelog
* Tue Sep 17 2024 neoclust <neoclust> 1.1.3-4.mga9
+ Revision: 2097771
- Add for libreoffice

* Sun Sep 17 2023 daviddavid <daviddavid> 1.1.3-4.mga10
+ Revision: 1987592
- as headers only pkg it should be completely noarch and make sure
  we only build on a 64bit host
- fix cmake config files destination

* Sat Sep 16 2023 tv <tv> 1.1.3-3.mga10
+ Revision: 1987128
- imported package dragonbox


* Sat Sep 16 2023 Thierry Vignaud <tv@mageia.org> 1.1.3-3.mga10
- Import from FC

* Mon Sep 04 2023 Mattia Verga <mattia.verga@proton.me> - 1.1.3-3
- Build arch'ed

* Mon Sep 04 2023 Mattia Verga <mattia.verga@proton.me> - 1.1.3-2
- Move noarch into subpackage

* Sat Sep 02 2023 Mattia Verga <mattia.verga@proton.me> - 1.1.3-1
- Initial release (fedora#2224783)
